[changes]
* Report URL parameter "disposition" added.
* The single sign-on (SSO) for external web server together with the proxy script has been improved. If the login script runs on the same web server as the proxy and you are already logged in in this web server then it is not necessary for you to login again in the reporting server.
* Report URL parameter "disposition" added.
* It's now allowed to call a Formula Expander Class function from inside a user defined function(formula).

### i-net Clear Reports viewer
* Error message displayed after an "Bad Gateway" error, contains more detail information.
* ViewerException now contains the ErrorCode of the report server.

### i-net Designer
* Designer now supports drag and drop of files into the editor in unix operating systems.
* Chart Properties:
  * Markers for charts with axes now supports formulas. The formula can dynamically determine the position (start and end) of the marker.
* SQL Editor: Now it is possible to use Strings prompts without quoting on any place of the SQL statement, e.g. as table name. 
* Datasource configuration will be reloaded without opening the report again, if the datasource did not exist at designer start.

[changes:de]
* Bericht-URL-Parameter "Disposition" hinzugefügt.
* Das Single Sign-On (SSO) für externe Webserver zusammen mit dem Proxy-Skript wurde verbessert. Wenn das Anmeldeskript auf demselben Webserver wie der Proxy läuft und Sie bereits auf diesem Webserver angemeldet sind, müssen Sie sich nicht erneut auf dem Berichtsserver anmelden.
* Bericht-URL-Parameter "disposition" hinzugefügt.
* Es ist jetzt erlaubt, eine Funktion der Formel-Expander-Klasse aus einer benutzerdefinierten Funktion (Formel) aufzurufen.

### i-net Clear Reports Viewer
* Die Fehlermeldung, die nach einem "Bad Gateway"-Fehler angezeigt wird, enthält mehr Detailinformationen.
* ViewerException enthält nun den ErrorCode des Berichtsservers.

### i-net Designer
* Der Designer unterstützt nun Drag & Drop von Dateien in den Editor unter Unix-Betriebssystemen.
* Chart-Eigenschaften:
  * Marker für Diagramme mit Achsen unterstützen nun Formeln. Die Formel kann dynamisch die Position (Start und Ende) des Markers bestimmen.
* SQL-Editor: Jetzt ist es möglich, Strings Prompts ohne Anführungszeichen an einer beliebigen Stelle der SQL-Anweisung zu verwenden, z.B. als Tabellenname.
* Die Konfiguration der Datenquelle wird neu geladen, ohne den Bericht erneut zu öffnen, wenn die Datenquelle beim Start des Designers nicht vorhanden war.

[bugfixes]
* PDF export: Error "OTF type is not set!" has occurred during PDF export, if non-embeddable fonts were used.
* Regressions: 
  * Alias names has not worked on MySQL database. 
  * The boolean format of older reports has not been read. The default value was used.
  * The wrong group in a drill down report was marked. 
* Problems of the ASP.NET proxy and .NET Framework 4 occurred. Errors with some Drill Down and Subreport on Demand reports has occurred.
* The execution order of formulas with custom number format and fixed currency symbol was wrong.
* Postscript export: In rare cases it can happen that an exported postscript file (postscript level 3) can be displayed but an error occurred during printing.
* String Prompt was not quoted in SQL Expression.
* In rare cases, a background color of subreport elements was not or only once displayed, if only one background color was used for the report elements and if a background color has been set for at least one report section.
* IndexOutOfBoundsException occurred during processing the record selection formula.
* With enabled area keep together in some cases the Java viewer has shown the page before after a click on a group tree node.
* A thread bug between cache and scheduler has occurred. It has produced the sporadic error [The page "x" is out of range (y).]
* Regression in version 11.1: A call of method setData(ResultSet) has created a database connection if there was a valid DataSourceConfiguration.
* In rare cases a minus sign has been displayed in front of number fields if the old ReportReader was used to read rpt files designed with Crystal Reports.
* ReportReader: The property formula for property "Decimals" in number properties was not read correctly.
* Scheduler: All scheduler CustomActions were disabled.
* Excel export: NullPointerException occurred.
* Page Footer was printed in not printable area if the report footer with enabled "Underlay Following Section" did not fit on the page.
* Descending sort order of dates and the sorting position of null values was wrong.
* Line over multiple sections was missing on a page in a subreport, if it ends in the group footer and there was no group footer on that page.
* PDF Export: A picture in the exported PDF file was corrupt, if it's location was set with picture property "Dynamic Image Location".
* Data Export: Some data in group footer sections were incorrect.
* XLS Export: Because of static text in subreports, it could occur that Excel opens some exported .xls files in the protected view.
* JNDI database connections has not worked, if a PropertiesChecker was used.
* Embedded fonts are used for calculating the metrix of the TXT export.
* Optimizing the index for the DBRepository and preventing multiple connections for the use of the index database.
* In a very rare case a problem with the preferences has occurred, if i-net Clear Reports was used in Websphere application server.
* The method getProcedureColumns has thrown an SQLException if the JDBC driver has a wrong behavior. Now, i-net Clear Reports contains a workaround for this problem.
* RTF export: Row Heigth was wrong. Known fonts will be assigned to the corresponding character set.
* Characters from a particular Barcode font (Code128) could not be displayed in PDF export and Java viewer.
* Invalid image format exception occurred if an specific JPG image was added to the report.
* IllegalMonitorStateException occurred.
* RTF export: Additonal white spaces has been added to a long text, if the font was changed.
* HTML export:
  * Property formula for the hyperlink property was not evaluated.
  * In some browsers scrollbars were displayed on fields with enabled text interpretation "HTML(advanced)".
* PDF export: Problem with specified certificate for PDF signature was occurred if IBM Java VM was used.
* HTML export: NullPointerException occurred.
* It could occur that the group footer was printed at the top of page if "print at bottom of page" and "keep together" was enabled for the group footer area.
* Minimum width calculation for fonts like Chinese and Japanese was wrong.
* NullPointerException during PDF export occurred.
* NullPointerException occurred during deserialization of an Engine that has been rendered already.
* PDF export: Because of some special characters an exported PDF file could be displayed but not printed in Acrobat Reader.
* Invalid license key exception occurred sometimes if BouncyCastle JCE provider was used.
* PDF export:
  * A blank subreport with enabled "Suppress if Blank" property could hide the following data.
  * An additional empty page was created because the property "Suppress if Blank" was enabled for a blank subreport.
* A memory leak with the JDBC driver from Oracle and Engine.setSQL has occurred.
* The toWords function converted the number 1000000 into French language with the "Un" prefix.
* The correct French number word is: Un Million.
* Memory leak and performance decrement occurred after some time if styled fonts like arialbd.ttf are used.
* Hyperlinks does not work on the second page if they are part of a field with enabled text interpretation "HTML(advanced)" that is longer than one report page.

### i-net Clear Reports viewer
* ViewerException "Wrong order of nodes" occurred, if hierarchical grouping and a second group was used in the report.
* Printing quality was bad in the part of the report page that contains a background image.
* Attribut "Permissions" was missing in the manifest file of ReportViewer.jar. This is required since Java 7 update 45.

### i-net Designer
* File Chooser:
  * Deadlock in Designer file chooser could occur, if a network drive could not be connected.
  * Drag and drop of file into the filename text field not select the recognized folder and enters the filename.
* SQL Editor: Property "Quote string parameters" was not enabled by default in remote designer.
* Align elements to bottom was misleadingly an alignment to the right.
* Only the first column was added to the report, if HSQLDB was used and the SQL statement contains 2 two columns with the same name or alias from different tables.
* Sometimes a NullPointerException occurs when opening a report in i-net Designer.
* Only the first column was added to the report, if MySQL was used and the used stored procedure contains two columns with the same name from different tables.
* Java Bean Properties:
  * Wrong (default) entry in combobox of the Java Bean properties dialog was selected.
  * The JavaBean editor of the designer has used the same editor for the same class and has ignored different editors for different properties of the same type.
* A deadlock has occurred during start of i-net Designer on Mac OSX, if Java VM version 7 was used.
* The value of property "Cascading Parent" in the parameter field properties dialog was not saved correctly.
* If you do an undo or redo step in the designer then all JavaBeans that are not visible on the monitor lost it's settings. The Java Bean properties fall back to the default values.
* Java Bean property formulas were evaluated in the design view.
* Attribut "Permissions" was missing in the manifest file of JNLPDesigner. This is required since Java 7 update 45.

### Configuration Manager

#### Fixed Bugs

* Configurations which contained certain settings which led to extremely long values (such as a high number of permission settings) could not be successfully exported and then re-imported into a different system.

### Report Permissions
* Groups (Roles) were not found because backslashes has been changed to slashes.
* Reverted the / and \\ normalization for the permission settings. Settings are stored as typed. User names will be checked normalized, role names must be configured in the correct typing.

### Ad Hoc Reporting
* Attribut "Permissions" was missing in the manifest file of adhoc reporting applet. This is required since Java 7 update 45.

### .Net Edition
* Server Error "Content-Length or Chunked Encoding ..." occurred with .NET Framework 4.
* On 64-bit machines, i-net Clear Reports .NET was incorrectly installed in the "Program Files (x86)" folder.

[bugfixes:de]
* PDF-Export: Fehler "OTF-Typ ist nicht gesetzt!" ist beim PDF-Export aufgetreten, wenn nicht einbettbare Schriftarten verwendet wurden.
* Regressionen:
  * Alias-Namen haben in MySQL-Datenbanken nicht funktioniert.
  * Das boolesche Format von älteren Berichten wurde nicht gelesen. Es wurde der Standardwert verwendet.
  * Die falsche Gruppe in einem Drill-Down-Bericht wurde markiert.
* Es traten Probleme mit dem ASP.NET Proxy und .NET Framework 4 auf. Bei einigen Drill-Down- und Subreport-on-Demand-Berichten sind Fehler aufgetreten.
* Die Ausführungsreihenfolge von Formeln mit benutzerdefiniertem Zahlenformat und festem Währungssymbol war falsch.
* Postscript-Export: In seltenen Fällen kann es vorkommen, dass eine exportierte Postscript-Datei (Postscript Level 3) zwar angezeigt werden kann, aber beim Drucken ein Fehler auftritt.
* String Prompt wurde im SQL-Ausdruck nicht in Anführungszeichen gesetzt.
* In seltenen Fällen wurde eine Hintergrundfarbe von Unterberichtselementen nicht oder nur einmal angezeigt, wenn nur eine Hintergrundfarbe für die Berichtselemente verwendet wurde und wenn für mindestens einen Berichtsabschnitt eine Hintergrundfarbe eingestellt wurde.
* IndexOutOfBoundsException trat bei der Verarbeitung der Datensatzauswahlformel auf.
* Bei aktiviertem Bereich zusammenhalten hat der Java-Viewer in einigen Fällen nach einem Klick auf einen Gruppenbaumknoten die Seite vorher angezeigt.
* Ein Thread-Fehler zwischen Cache und Scheduler ist aufgetreten. Er führte zu dem sporadischen Fehler [Die Seite "x" liegt außerhalb des Bereichs (y)]
* Regression in Version 11.1: Ein Aufruf der Methode setData(ResultSet) hat eine Datenbankverbindung erstellt, wenn eine gültige DataSourceConfiguration vorhanden war.
* In seltenen Fällen wurde ein Minuszeichen vor Zahlenfeldern angezeigt, wenn der alte ReportReader zum Lesen von mit Crystal Reports erstellten rpt-Dateien verwendet wurde.
* ReportReader: Die Eigenschaftsformel für die Eigenschaft "Decimals" in Zahleneigenschaften wurde nicht korrekt gelesen.
* Planer: Alle Scheduler CustomActions wurden deaktiviert.
* Excel-Export: NullPointerException ist aufgetreten.
* Die Seitenfußzeile wurde im nicht druckbaren Bereich gedruckt, wenn die Berichtsfußzeile mit aktivierter Option "Unterlegen nach Abschnitt" nicht auf die Seite passte.
* Absteigende Sortierreihenfolge von Daten und die Sortierposition von Nullwerten war falsch.
* Eine Zeile über mehrere Abschnitte fehlte auf einer Seite in einem Unterbericht, wenn sie in der Gruppenfußzeile endete und keine Gruppenfußzeile auf dieser Seite vorhanden war.
* PDF-Export: Ein Bild in der exportierten PDF-Datei war beschädigt, wenn seine Position mit der Bildeigenschaft "Dynamic Image Location" festgelegt wurde.
* Datenexport: Einige Daten in Gruppenfußzeilen waren falsch.
* XLS-Export: Aufgrund von statischem Text in Teilberichten konnte es vorkommen, dass Excel einige exportierte .xls-Dateien in der geschützten Ansicht öffnete.
* JNDI-Datenbankverbindungen haben nicht funktioniert, wenn ein PropertiesChecker verwendet wurde.
* Eingebettete Schriftarten werden für die Berechnung der Metrik des TXT-Exports verwendet.
* Optimierung des Index für das DBRepository und Verhinderung von Mehrfachverbindungen für die Nutzung der Indexdatenbank.
* In einem sehr seltenen Fall ist ein Problem mit den Einstellungen aufgetreten, wenn i-net Clear Reports im Websphere Application Server verwendet wurde.
* Die Methode getProcedureColumns hat eine SQLException ausgelöst, wenn der JDBC-Treiber ein falsches Verhalten aufweist. Jetzt enthält i-net Clear Reports einen Workaround für dieses Problem.
* RTF-Export: Row Heighth war falsch. Bekannte Schriftarten werden dem entsprechenden Zeichensatz zugewiesen.
* Zeichen aus einer bestimmten Barcode-Schriftart (Code128) konnten im PDF-Export und im Java-Viewer nicht angezeigt werden.
* Die Ausnahme "Ungültiges Bildformat" trat auf, wenn dem Bericht ein bestimmtes JPG-Bild hinzugefügt wurde.
* IllegalMonitorStateException trat auf.
* RTF-Export: Einem langen Text wurden zusätzliche Leerzeichen hinzugefügt, wenn die Schriftart geändert wurde.
* HTML-Export:
  * Eigenschaftsformel für die Hyperlink-Eigenschaft wurde nicht ausgewertet.
  * In einigen Browsern wurden bei Feldern mit aktivierter Textinterpretation "HTML(advanced)" Scrollbars angezeigt.
* PDF-Export: Es gab ein Problem mit dem angegebenen Zertifikat für die PDF-Signatur, wenn IBM Java VM verwendet wurde.
* HTML-Export: NullPointerException aufgetreten.
* Es konnte vorkommen, dass die Gruppenfußzeile am oberen Rand der Seite gedruckt wurde, wenn "am unteren Rand der Seite drucken" und "zusammenhalten" für den Gruppenfußbereich aktiviert war.
* Die Berechnung der Mindestbreite für Schriftarten wie Chinesisch und Japanisch war falsch.
* NullPointerException beim PDF-Export aufgetreten.
* NullPointerException trat bei der Deserialisierung einer Engine auf, die bereits gerendert wurde.
* PDF-Export: Wegen einiger Sonderzeichen konnte eine exportierte PDF-Datei im Acrobat Reader angezeigt, aber nicht gedruckt werden.
* Invalid license key exception trat manchmal auf, wenn BouncyCastle JCE provider verwendet wurde.
* PDF-Export:
  * Ein leerer Unterbericht mit aktivierter "Suppress if Blank"-Eigenschaft konnte die folgenden Daten verbergen.
  * Eine zusätzliche leere Seite wurde erstellt, weil die Eigenschaft "Suppress if Blank" für einen leeren Unterbericht aktiviert war.
* Ein Speicherleck mit dem JDBC-Treiber von Oracle und Engine.setSQL ist aufgetreten.
* Die Funktion toWords konvertierte die Zahl 1000000 in die französische Sprache mit dem Präfix "Un".
* Das korrekte französische Zahlenwort lautet: Un Million.
* Speicherleck und Leistungsabfall traten nach einiger Zeit auf, wenn gestylte Schriftarten wie arialbd.ttf verwendet wurden.
* Hyperlinks funktionieren nicht auf der zweiten Seite, wenn sie Teil eines Feldes mit aktivierter Textinterpretation "HTML(advanced)" sind, das länger als eine Berichtsseite ist.

### i-net Clear Reports Viewer
* ViewerException "Falsche Reihenfolge der Knoten" trat auf, wenn eine hierarchische Gruppierung und eine zweite Gruppe im Bericht verwendet wurde.
* Die Druckqualität war schlecht in dem Teil der Berichtsseite, der ein Hintergrundbild enthält.
* Das Attribut "Permissions" fehlte in der Manifestdatei von ReportViewer.jar. Dies ist seit Java 7 Update 45 erforderlich.

### i-net Designer
* Datei-Auswahl:
  * Deadlock im Designer File Chooser konnte auftreten, wenn ein Netzlaufwerk nicht verbunden werden konnte.
  * Beim Ziehen und Ablegen einer Datei in das Textfeld für den Dateinamen wurde der erkannte Ordner nicht ausgewählt und der Dateiname eingegeben.
* SQL-Editor: Die Eigenschaft "Quote string parameters" war im Remote Designer nicht standardmäßig aktiviert.
* Elemente nach unten ausrichten war fälschlicherweise eine Ausrichtung nach rechts.
* Nur die erste Spalte wurde dem Bericht hinzugefügt, wenn HSQLDB verwendet wurde und die SQL-Anweisung zwei Spalten mit demselben Namen oder Alias aus verschiedenen Tabellen enthält.
* Manchmal tritt beim Öffnen eines Berichts im i-net Designer eine NullPointerException auf.
* Nur die erste Spalte wurde dem Bericht hinzugefügt, wenn MySQL verwendet wurde und die verwendete Stored Procedure zwei gleichnamige Spalten aus verschiedenen Tabellen enthält.
* Java Bean Eigenschaften:
  * In der Combobox des Java-Bean-Eigenschaften-Dialogs wurde ein falscher (Standard-)Eintrag ausgewählt.
  * Der JavaBean-Editor des Designers hat denselben Editor für dieselbe Klasse verwendet und verschiedene Editoren für verschiedene Eigenschaften desselben Typs ignoriert.
* Beim Start des i-net Designers unter Mac OSX ist ein Deadlock aufgetreten, wenn die Java VM Version 7 verwendet wurde.
* Der Wert der Eigenschaft "Cascading Parent" im Parameterfeld-Eigenschaften-Dialog wurde nicht korrekt gespeichert.
* Wenn Sie einen Undo- oder Redo-Schritt im Designer durchführen, verlieren alle JavaBeans, die nicht auf dem Monitor sichtbar sind, ihre Einstellungen. Die JavaBean-Eigenschaften fallen auf die Standardwerte zurück.
* Java-Bean-Eigenschaftsformeln wurden in der Design-Ansicht ausgewertet.
* Das Attribut "Permissions" fehlte in der Manifestdatei des JNLPDesigners. Dies ist seit Java 7 Update 45 erforderlich.

### Konfigurations-Manager

#### Behobene Bugs

* Konfigurationen, die bestimmte Einstellungen enthielten, die zu extrem langen Werten führten (z. B. eine hohe Anzahl von Berechtigungseinstellungen), konnten nicht erfolgreich exportiert und anschließend in ein anderes System wieder importiert werden.

### Bericht Berechtigungen
* Gruppen (Rollen) wurden nicht gefunden, weil Backslashes in Slashes geändert wurden.
* Die Normalisierung von / und \\ für die Berechtigungseinstellungen wurde rückgängig gemacht. Die Einstellungen werden so gespeichert, wie sie eingegeben wurden. Benutzernamen werden normalisiert geprüft, Rollennamen müssen in der richtigen Schreibweise konfiguriert werden.

### Ad Hoc Reporting
* Das Attribut "Permissions" fehlte in der Manifestdatei des Adhoc Reporting Applets. Dies ist seit Java 7 Update 45 erforderlich.

### .Net Edition
* Der Serverfehler "Content-Length oder Chunked Encoding ..." trat bei .NET Framework 4 auf.
* Auf 64-Bit-Rechnern wurde i-net Clear Reports .NET fälschlicherweise in den Ordner "Program Files (x86)" installiert.

[security]

[security:de]
